Package org.opensaml.saml.saml2.metadata

# Interface IDPSSODescriptor

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `CacheableSAMLObject`, `RoleDescriptor`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `SSODescriptor`, `TimeBoundSAMLObject`, `XMLObject`

All Known Implementing Classes:
  `IDPSSODescriptorImpl`

public interface IDPSSODescriptor extends SSODescriptor
SAML 2.0 Metadata IDPSSODescriptorType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`WANT_AUTHN_REQ_SIGNED_ATTRIB_NAME`
"WantAuthnRequestSigned" attribute name.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`ERROR_URL_ATTRIB_NAME, ID_ATTRIB_NAME, PROTOCOL_ENUMERATION_ATTRIB_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
`getAssertionIDRequestServices()`
Gets the list of assertion ID request services.
`List<AttributeProfile>`
`getAttributeProfiles()`
Gets the list of attribute profiles supported by this IdP.
`List<Attribute>`
`getAttributes()`
Gets the list of attributes supported by this IdP.
`List<NameIDMappingService>`
`getNameIDMappingServices()`
Gets the list of NameID mapping services for this service.
`List<SingleSignOnService>`
`getSingleSignOnServices()`
Gets the list of single sign on services for this IDP.
`Boolean`
`getWantAuthnRequestsSigned()`
Checks if the IDP SSO service wants authentication requests signed.
`XSBooleanValue`
`getWantAuthnRequestsSignedXSBoolean()`
Checks if the IDP SSO service wants authentication requests signed.
`void`
`setWantAuthnRequestsSigned(Boolean newWantSigned)`
Sets whether the IDP SSO service wants authentication requests signed.
`void`
`setWantAuthnRequestsSigned(XSBooleanValue newWantSigned)`
Sets whether the IDP SSO service wants authentication requests signed.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`addSupportedProtocol, getContactPersons, getEndpoints, getEndpoints, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSupportedProtocols, isSupportedProtocol, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setErrorURL, setExtensions, setID, setOrganization`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.SSODescriptor

`getArtifactResolutionServices, getDefaultArtifactResolutionService, getManageNameIDServices, getNameIDFormats, getSingleLogoutServices`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### WANT_AUTHN_REQ_SIGNED_ATTRIB_NAME

@Nonnull @NotEmpty static final String WANT_AUTHN_REQ_SIGNED_ATTRIB_NAME
"WantAuthnRequestSigned" attribute name.

See Also:
  - Constant Field Values

## Method Details

### getWantAuthnRequestsSigned

@Nullable Boolean getWantAuthnRequestsSigned()
Checks if the IDP SSO service wants authentication requests signed.

Returns:
  true is signing is desired, false if not

### getWantAuthnRequestsSignedXSBoolean

@Nullable XSBooleanValue getWantAuthnRequestsSignedXSBoolean()
Checks if the IDP SSO service wants authentication requests signed.

Returns:
  true is signing is desired, false if not

### setWantAuthnRequestsSigned

void setWantAuthnRequestsSigned(@Nullable Boolean newWantSigned)
Sets whether the IDP SSO service wants authentication requests signed. Boolean values will be marshalled to either "true" or "false".

Parameters:
  `newWantSigned` - true if request should be signed, false if not

### setWantAuthnRequestsSigned

void setWantAuthnRequestsSigned(@Nullable XSBooleanValue newWantSigned)
Sets whether the IDP SSO service wants authentication requests signed.

Parameters:
  `newWantSigned` - true if request should be signed, false if not

### getSingleSignOnServices

@Nonnull @Live List<SingleSignOnService> getSingleSignOnServices()
Gets the list of single sign on services for this IDP.

Returns:
  list of single sign on services

### getNameIDMappingServices

@Nonnull @Live List<NameIDMappingService> getNameIDMappingServices()
Gets the list of NameID mapping services for this service.

Returns:
  the list of NameID mapping services for this service

### getAssertionIDRequestServices

@Nonnull @Live List<AssertionIDRequestService> getAssertionIDRequestServices()
Gets the list of assertion ID request services.

Returns:
  assertion ID request services

### getAttributeProfiles

@Nonnull @Live List<AttributeProfile> getAttributeProfiles()
Gets the list of attribute profiles supported by this IdP.

Returns:
  attribute profiles supported by this IdP

### getAttributes

@Nonnull @Live List<Attribute> getAttributes()
Gets the list of attributes supported by this IdP.

Returns:
  attributes supported by this IdP